/**
 *
 */
package de.intevation.gnv.profile.vertical;

import org.apache.log4j.Logger;
import org.w3c.dom.Document;

import de.intevation.artifacts.ArtifactFactory;
import de.intevation.artifacts.CallContext;
import de.intevation.gnv.artifacts.GNVArtifactBase;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 * 
 */
public class VerticalProfileArtifact extends GNVArtifactBase {
    /**
     * the logger, used to log exceptions and additonaly information
     */
    private static Logger log = Logger.getLogger(VerticalProfileArtifact.class);

    /**
     * The UID of this class
     */
    private static final long serialVersionUID = -8291547966693867205L;

    /**
     * Constructor
     */
    public VerticalProfileArtifact() {
        super();
        log.debug("VerticalProfileArtifact.Constructor");
        this.name = "verticalProfile";
    }

    /**
     * @see de.intevation.artifactdatabase.DefaultArtifact#describe(org.w3c.dom.Document, de.intevation.artifacts.CallContext)
     */
    @Override
    public Document describe(Document data, CallContext context) {
        log.debug("VerticalProfileArtifact.describe");
        return super.createDescibeOutput(context.getMeta(), 
                super.identifier,
                this.getIncludeUIFromDocument(data));
    }

    /**
     * @see de.intevation.gnv.artifacts.GNVArtifactBase#setup(java.lang.String,
     *      de.intevation.artifacts.ArtifactFactory, java.lang.Object)
     */
    @Override
    public void setup(String identifier, ArtifactFactory factory, Object context) {
        log.debug("VerticalProfileArtifact.setup");
        super.setup(identifier, factory, context);
    }
}
